> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete domain list entry

> Delete an entry from the blocklist or safelist for a domain.



## OpenAPI

````yaml /inbound/api-reference/openapi.yaml delete /domains/{domain}/lists/{listname}
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /domains/{domain}/lists/{listname}:
    delete:
      tags:
        - Lists
      summary: Delete domain list entry
      description: Delete an entry from the blocklist or safelist for a domain.
      parameters:
        - name: domain
          description: The domain name.
          in: path
          required: true
          schema:
            type: string
            format: hostname
        - name: listname
          description: >-
            The name of the list to delete an entry from. One of 'safelist' or
            'blocklist'. 'whitelist' and 'blacklist' are deprecated
          in: path
          required: true
          schema:
            type: string
            enum:
              - blocklist
              - safelist
              - blacklist
              - whitelist
        - name: item
          in: query
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Successfully deleted the item.
        '400':
          description: >
            Bad Request, returned in the case that an error occurs while
            converting an A-label domain to a U-label domain name.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: |
            Returned in the case that the domain is associated with an api
            key that is different than the one in the request, the domain is
            associated with a different customer, or the domain in the request
            is an alias domain.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: This domain does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````